Package org.drinkless.tdlib

# Class TdApi.CreatedBasicGroupChat

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.CreatedBasicGroupChat

Enclosing class:
  `TdApi`

public static class TdApi.CreatedBasicGroupChat extends TdApi.Object
Contains information about a newly created basic group chat.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.FailedToAddMembers`
  `failedToAddMembers`
  Information about failed to add members.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreatedBasicGroupChat()`
  Contains information about a newly created basic group chat.
  `CreatedBasicGroupChat(long chatId, TdApi.FailedToAddMembers failedToAddMembers)`
  Contains information about a newly created basic group chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### failedToAddMembers

    public TdApi.FailedToAddMembers failedToAddMembers
    Information about failed to add members.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CreatedBasicGroupChat

    public CreatedBasicGroupChat()
    Contains information about a newly created basic group chat.

  - ### CreatedBasicGroupChat

    public CreatedBasicGroupChat(long chatId, TdApi.FailedToAddMembers failedToAddMembers)
    Contains information about a newly created basic group chat.
    Parameters:
      `chatId` - Chat identifier.
      `failedToAddMembers` - Information about failed to add members.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR